name: mmap
version: 0.5.9
id: mmap-0.5.9-BXMYRGD0Ckq9xaZJXGHtu5
key: mmap-0.5.9-BXMYRGD0Ckq9xaZJXGHtu5
license: BSD-3-Clause
copyright: 2008-2012, Gracjan Polak
maintainer: Gracjan Polak <gracjanpolak@gmail.com>
author: Gracjan Polak <gracjanpolak@gmail.com>
stability: stable
synopsis: Memory mapped files for POSIX and Windows
description:
    This library provides a wrapper to mmap(2) or MapViewOfFile,
    allowing files or devices to be lazily loaded into memory as
    strict or lazy ByteStrings, ForeignPtrs or plain Ptrs, using
    the virtual memory subsystem to do on-demand loading.
    Modifications are also supported.
category: System
abi: 21813653e6f476af02dd4d35d589df1c
exposed: True
exposed-modules:
    System.IO.MMap
import-dirs: /usr/local/lib/ghc/mmap-0.5.9
library-dirs: /usr/local/lib/ghc/mmap-0.5.9
dynamic-library-dirs: /usr/local/lib/ghc/mmap-0.5.9
data-dir: /usr/local/share/hs-mmap-0.5.9
hs-libraries: HSmmap-0.5.9-BXMYRGD0Ckq9xaZJXGHtu5
depends:
    base-4.12.0.0 bytestring-0.10.8.2
haddock-interfaces: /usr/local/share/doc/hs-mmap-0.5.9/html/mmap.haddock
haddock-html: /usr/local/share/doc/hs-mmap-0.5.9/html
